Index: palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/MONITORING/flow_around_cube_noncyclic_rc
===================================================================
--- palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/MONITORING/flow_around_cube_noncyclic_rc	(revision 4091)
+++ palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/MONITORING/flow_around_cube_noncyclic_rc	(revision 4098)
@@ -1,12 +1,11 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 3986        *    atmosphere - run with cyclic fill of 3D - prerun data
+ * PALM 6.0  Rev: 4096        *    atmosphere - run with cyclic fill of 3D - prerun data
  ******************************    --------------------------------------------
 
- Date:               2019-05-22    Run:       e3_cube_noncyc                    
- Time:                 11:49:29    Run-No.:   00
- Run on host:        imuk_defau
- Number of PEs:               2    Processor grid (x,y): (   1,   2) calculated
-                                   A 1d-decomposition along y is used
+ Date:               2019-07-15    Run:       e3_cube_noncyc                    
+ Time:                 15:42:10    Run-No.:   00
+ Run on host:          gfortran
+ Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
 
@@ -34,5 +33,5 @@
  Timestep:             variable     maximum value: 20.000 s    CFL-factor: 0.90
  Start time:              0.000 s
- End time:              600.000 s
+ End time:             3600.000 s
 
 
@@ -48,5 +47,5 @@
 
  Number of gridpoints (x,y,z):  (0:  79, 0:  39, 0:  41)
- Subdomain size (x,y,z):        (    80,     20,     42)
+ Subdomain size (x,y,z):        (    40,     20,     42)
 
 
@@ -125,5 +124,5 @@
     1D-Profiles:
        Output every             9999999.90 s
-       Time averaged over         600.00 s
+       Time averaged over        1800.00 s
        Averaging input every        6.00 s
 
@@ -132,5 +131,5 @@
  -----------
 
-       Time averaged over         600.00 s
+       Time averaged over        1800.00 s
        Averaging input every        6.00 s
 
@@ -139,9 +138,9 @@
 
 
-       Profile: u, u*2, wu, w*u*, w"u", v, v*2, wv, w*v*, w"v", w*2,         
+       Profile: u, u*2, wu, w*u*, w"u", v, v*2, wv, w*v*, w"v", w, w*2,      
 
               : e, e*, km, l,                                                
-       Output every               600.00 s
-       Time averaged over         600.00 s
+       Output every              1800.00 s
+       Time averaged over        1800.00 s
        Averaging input every        6.00 s
 
@@ -151,5 +150,5 @@
 
        Arrays:  u, v, w,                                                             
-       Output every               600.00 s  
+       Output every              1800.00 s  
        Upper output limit at       81.00 m  (GP   41)
 
@@ -163,6 +162,6 @@
 
        Arrays:  u, v, w,                                                             
-       Output every               600.00 s  
-       Time averaged over         600.00 s
+       Output every              1800.00 s  
+       Time averaged over        1800.00 s
        Averaging input every        6.00 s
        Upper output limit at       81.00 m  (GP   41)
@@ -218,4 +217,8 @@
     Random number generator used    : random-parallel
 
+
+
+ *** dynamic module disabled
+
  ------------------------------------------------------------------------------
 
@@ -227,13 +230,63 @@
 RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00   1.7500A   1.0258   0.1887   0.1568  0.000  0.00   0.000E+00      0.  0.319E+00  0.433E-02  0.000E+00  0.000E+00   40  39  32   10   5  16    7  30  24    0.000    0.000       0
-  0     44 00:01:00.03   1.3800A   1.3023  -0.9059   1.1410  0.056  0.00   0.000E+00      0.  0.350E+00  0.257E-01  0.959E-03  0.115E-03   21  22  50    2   9  49   20  21  49    0.000    0.000       2
-  0     88 00:02:00.90   1.4100A   1.2728   0.7803   1.0866  0.054  0.00   0.000E+00      0.  0.353E+00  0.283E-01  0.870E-03  0.974E-04   16  34  62    1  31  49   20  23  49    0.000    0.000       2
-  0    132 00:03:01.09   1.3100A   1.3756  -0.6602   0.9525  0.054  0.00   0.000E+00      0.  0.360E+00  0.355E-01  0.804E-03  0.732E-04   15  39   0    1   9  49   20  24  49    0.000    0.000       2
-  0    177 00:04:00.32   1.2900A   1.3998   0.7440   1.0563  0.052  0.00   0.000E+00      0.  0.369E+00  0.433E-01  0.750E-03  0.740E-04   15  38  73    9  31  49   20  13  49    0.000    0.000       2
-  0    226 00:05:00.11   1.2100A   1.4904   0.6525   1.0411  0.052  0.00   0.000E+00      0.  0.378E+00  0.518E-01  0.765E-03  0.671E-04   14  37  73    2  31  49   20  24  49    0.000    0.000       2
-  0    276 00:06:00.87   1.1900A   1.5158   0.6775   1.0760  0.052  0.00   0.000E+00      0.  0.389E+00  0.623E-01  0.850E-03  0.750E-04   17   3  58   17  30  49   20  25  49    0.000    0.000       2
-  0    328 00:07:00.09   1.1000A   1.6348   0.6900   1.0862  0.059  0.00   0.000E+00      0.  0.398E+00  0.704E-01  0.901E-03  0.659E-04   21   8  73   11  18  49   20  12  49    0.000    0.000       2
-  0    382 00:08:00.89   1.0900A   1.6450  -0.8238   1.3869  0.061  0.00   0.000E+00      0.  0.404E+00  0.773E-01  0.110E-02  0.874E-04   21  12  50    9  10  49   20  13  49    0.000    0.000       2
-  0    437 00:09:00.12   1.0400A   1.7316   0.9994   1.3816  0.062  0.00   0.000E+00      0.  0.411E+00  0.826E-01  0.123E-02  0.863E-04   19   3  71   20  18  49   20  26  49    0.000    0.000       2
-  0    495 00:10:00.41   1.0200A   1.7623  -0.8743   1.4594  0.066  0.00   0.000E+00      0.  0.413E+00  0.853E-01  0.141E-02  0.860E-04   18   1  62   12  16  43   20  26  49    0.000    0.000       2
+  0      0 00:00:00.00   1.6400A   1.0971  -0.1817  -0.2059  0.000  0.00   0.000E+00      0.  0.330E+00  0.604E-02  0.000E+00  0.000E+00   40   8  20    8   2   1    9   1  13    0.000    0.000       0
+  0     47 00:01:01.13   1.3300A   1.3536  -0.9512   1.2060  0.054  0.00   0.000E+00      0.  0.362E+00  0.270E-01  0.100E-02  0.118E-03   21  24  50    1   9  49   20  20  49    0.000    0.000       2
+  0     92 00:02:01.14   1.3000A   1.3816  -0.8093   1.1163  0.055  0.00   0.000E+00      0.  0.366E+00  0.318E-01  0.945E-03  0.966E-04   11   1  71    1   9  49   20  16  49    0.000    0.000       2
+  0    138 00:03:00.15   1.2900A   1.3934  -0.7418   1.0412  0.054  0.00   0.000E+00      0.  0.373E+00  0.392E-01  0.885E-03  0.844E-04   13   1  11   12   9  49   20  23  49    0.000    0.000       2
+  0    186 00:04:00.09   1.1700A   1.5394   0.6460   1.0646  0.051  0.00   0.000E+00      0.  0.382E+00  0.471E-01  0.841E-03  0.642E-04   14   0   4    2  31  49   20  14  49    0.000    0.000       2
+  0    239 00:05:00.74   1.1300A   1.5871  -0.6827   0.9810  0.049  0.00   0.000E+00      0.  0.389E+00  0.531E-01  0.833E-03  0.654E-04   12   3  56    2   9  49   20  12  49    0.000    0.000       2
+  0    293 00:06:00.03   1.1100A   1.6306   0.7799   0.9364  0.050  0.00   0.000E+00      0.  0.397E+00  0.614E-01  0.893E-03  0.559E-04   14  39   0   15  30  49   20  27  49    0.000    0.000       2
+  0    349 00:07:00.71   1.0900A   1.6598   0.8590   1.1727  0.058  0.00   0.000E+00      0.  0.404E+00  0.695E-01  0.102E-02  0.704E-04   12  38   0    1  32  49   20  22  49    0.000    0.000       2
+  0    406 00:08:00.62   1.0300A   1.7507   0.8168   1.2040  0.062  0.00   0.000E+00      0.  0.413E+00  0.775E-01  0.103E-02  0.673E-04   16  37  56   15  15  49   20  14  49    0.000    0.000       2
+  0    464 00:09:00.16   1.0100A   1.7827   0.9185   1.2570  0.063  0.00   0.000E+00      0.  0.422E+00  0.877E-01  0.115E-02  0.617E-04   13   4  73    2  30  48   20  25  49    0.000    0.000       2
+  0    525 00:10:00.73   0.9830A   1.8308  -0.8206   1.2464  0.067  0.00   0.000E+00      0.  0.420E+00  0.901E-01  0.133E-02  0.757E-04   11   2  76   17  17  48   20  13  49    0.000    0.000       2
+  0    583 00:11:00.33   1.0200A   1.7595   0.9911   1.7328  0.064  0.00   0.000E+00      0.  0.422E+00  0.942E-01  0.154E-02  0.898E-04   13   8  76    4  31  49   20  22  49    0.000    0.000       2
+  0    645 00:12:00.22   0.9380A   1.9183   0.9125   1.2781  0.069  0.00   0.000E+00      0.  0.430E+00  0.999E-01  0.145E-02  0.698E-04   19  38  65    3  21  49   20  19  49    0.000    0.000       2
+  0    709 00:13:00.02   0.9580A   1.8794   0.9886   1.1030  0.066  0.00   0.000E+00      0.  0.429E+00  0.997E-01  0.148E-02  0.692E-04   15  39  67    1  32  49   20  21  49    0.000    0.000       2
+  0    772 00:14:00.45   0.9680A   1.8589   1.1818   1.3633  0.070  0.00   0.000E+00      0.  0.430E+00  0.103E+00  0.163E-02  0.925E-04   35  37  12   11  30  49   20  26  49    0.000    0.000       2
+  0    834 00:15:00.16   0.9470A   1.9007   1.0478   1.2132  0.074  0.00   0.000E+00      0.  0.433E+00  0.103E+00  0.159E-02  0.721E-04   25  35  12    1  33  49   20  27  49    0.000    0.000       2
+  0    897 00:16:00.35   0.9800A   1.8371   1.0698   1.1359  0.071  0.00   0.000E+00      0.  0.432E+00  0.105E+00  0.167E-02  0.676E-04   33  37   4    1  33  49   20  24  49    0.000    0.000       2
+  0    959 00:17:00.16   0.9710A   1.8540   1.0461   1.5818  0.067  0.00   0.000E+00      0.  0.429E+00  0.106E+00  0.171E-02  0.782E-04   11   1  62    6  29  47   20  26  49    0.000    0.000       2
+  0   1022 00:18:00.97   1.0200A   1.7973   1.0675   1.3509  0.070  0.00   0.000E+00      0.  0.429E+00  0.101E+00  0.174E-02  0.897E-04   32  37  78    2  32  49   20  11  49    0.000    0.000       2
+  0   1081 00:19:00.20   0.9940A   1.8109  -0.8181   1.2588  0.067  0.00   0.000E+00      0.  0.432E+00  0.103E+00  0.152E-02  0.675E-04   34  37  28    1   9  49   20  11  49    0.000    0.000       2
+  0   1146 00:20:00.89   0.9520A   1.8909   0.9150   1.3295  0.069  0.00   0.000E+00      0.  0.432E+00  0.105E+00  0.153E-02  0.750E-04   33  36  30    6  17  49   20  27  49    0.000    0.000       2
+  0   1212 00:21:00.07   0.8850A   2.0336   1.0500   1.4936  0.068  0.00   0.000E+00      0.  0.437E+00  0.108E+00  0.149E-02  0.769E-04   37  38  25    1  36  51   20  12  49    0.000    0.000       2
+  0   1278 00:22:00.11   0.9160A   1.9655  -1.0402   1.4854  0.069  0.00   0.000E+00      0.  0.433E+00  0.102E+00  0.156E-02  0.871E-04   26  39  70    2   9  49   20  13  49    0.000    0.000       2
+  0   1346 00:23:00.67   0.8830A   2.0397   1.0350   1.5331  0.067  0.00   0.000E+00      0.  0.429E+00  0.100E+00  0.160E-02  0.843E-04   22   1  64   10  30  49   20  14  49    0.000    0.000       2
+  0   1411 00:24:00.62   0.9270A   1.9414  -1.0499   1.3810  0.068  0.00   0.000E+00      0.  0.427E+00  0.963E-01  0.164E-02  0.820E-04   21   2   8    4   9  49   20  25  49    0.000    0.000       2
+  0   1472 00:25:00.75   1.0400A   1.7389   0.9465   1.1031  0.072  0.00   0.000E+00      0.  0.418E+00  0.914E-01  0.191E-02  0.833E-04   31   0   3   14  17  49   20  20  49    0.000    0.000       2
+  0   1531 00:26:00.07   1.0400A   1.7359  -0.9824   1.3761  0.072  0.00   0.000E+00      0.  0.418E+00  0.908E-01  0.184E-02  0.103E-03   28  36  20    2   7  47   20  15  49    0.000    0.000       2
+  0   1591 00:27:00.06   0.9520A   1.8909   0.9771   1.3206  0.071  0.00   0.000E+00      0.  0.417E+00  0.864E-01  0.165E-02  0.822E-04   24  38  63    1  32  49   20  24  49    0.000    0.000       2
+  0   1652 00:28:00.91   1.0300A   1.7471  -1.1411   1.4359  0.072  0.00   0.000E+00      0.  0.413E+00  0.776E-01  0.164E-02  0.949E-04   21  28  50    2   9  49   20  24  49    0.000    0.000       2
+  0   1710 00:29:00.54   1.0400A   1.7083  -1.0996   1.7385  0.070  0.00   0.000E+00      0.  0.410E+00  0.738E-01  0.167E-02  0.110E-03   26  39  77    2   8  49   20  23  49    0.000    0.000       2
+  0   1767 00:30:00.27   1.0600A   1.7056  -0.9534   1.3398  0.065  0.00   0.000E+00      0.  0.404E+00  0.668E-01  0.157E-02  0.910E-04   20  38  69    3   9  49   20  23  49    0.000    0.000       2
+  0   1826 00:31:00.79   0.9880A   1.8621  -0.9608   1.2454  0.064  0.00   0.000E+00      0.  0.402E+00  0.631E-01  0.134E-02  0.788E-04   40   2  79   16  14  49   20  17  49    0.000    0.000       2
+  0   1883 00:32:01.03   1.0700A   1.6747  -0.9693   1.3188  0.062  0.00   0.000E+00      0.  0.401E+00  0.639E-01  0.138E-02  0.915E-04   26  36  44    2   8  49   20  23  49    0.000    0.000       2
+  0   1939 00:33:00.84   1.1000A   1.6431  -1.0258   1.3279  0.061  0.00   0.000E+00      0.  0.400E+00  0.645E-01  0.142E-02  0.990E-04   35   2  29    8   8  49   20  27  49    0.000    0.000       2
+  0   1995 00:34:00.58   1.0900A   1.6471  -1.2927   1.4447  0.063  0.00   0.000E+00      0.  0.398E+00  0.623E-01  0.141E-02  0.102E-03   35  37  71   10   9  49   20  23  49    0.000    0.000       2
+  0   2051 00:35:00.44   1.0700A   1.6896  -0.8501   1.1804  0.062  0.00   0.000E+00      0.  0.401E+00  0.634E-01  0.127E-02  0.813E-04   24   1  69    7   9  49   20  22  49    0.000    0.000       2
+  0   2108 00:36:00.62   1.0400A   1.7360  -1.2135   1.4762  0.060  0.00   0.000E+00      0.  0.404E+00  0.682E-01  0.133E-02  0.981E-04   37  38  13   14  15  49   20  24  49    0.000    0.000       2
+  0   2169 00:37:00.56   0.9440A   1.9070   0.9062   1.4584  0.062  0.00   0.000E+00      0.  0.404E+00  0.695E-01  0.122E-02  0.818E-04   36  39  13   14  30  49   20  19  49    0.000    0.000       2
+  0   2230 00:38:00.59   1.0100A   1.7883  -1.0929   1.2957  0.064  0.00   0.000E+00      0.  0.405E+00  0.727E-01  0.128E-02  0.847E-04   38   2   9   11  10  49   20  25  49    0.000    0.000       2
+  0   2287 00:39:00.18   1.0700A   1.6828   0.9616   1.3745  0.064  0.00   0.000E+00      0.  0.404E+00  0.727E-01  0.142E-02  0.979E-04   21  24  50   14  30  49   20  20  49    0.000    0.000       2
+  0   2344 00:40:01.08   1.0900A   1.6546  -0.9560   1.2146  0.060  0.00   0.000E+00      0.  0.409E+00  0.747E-01  0.135E-02  0.834E-04   27  39  55   18  17  49   20  25  49    0.000    0.000       2
+  0   2401 00:41:00.91   1.0400A   1.7352  -0.9321   1.3391  0.060  0.00   0.000E+00      0.  0.406E+00  0.716E-01  0.137E-02  0.903E-04   36   0  18    2   9  49   20  25  49    0.000    0.000       2
+  0   2460 00:42:00.45   0.9960A   1.8076   0.7818   1.1708  0.059  0.00   0.000E+00      0.  0.410E+00  0.727E-01  0.121E-02  0.706E-04   35  38  17   13  30  49   20  12  49    0.000    0.000       2
+  0   2521 00:43:00.69   1.0100A   1.7769  -1.0183   1.2805  0.062  0.00   0.000E+00      0.  0.407E+00  0.723E-01  0.128E-02  0.768E-04   24  38  66    8   9  49   20  24  49    0.000    0.000       2
+  0   2577 00:44:00.48   1.1200A   1.6120  -0.9129   1.2945  0.062  0.00   0.000E+00      0.  0.405E+00  0.736E-01  0.132E-02  0.821E-04   37  39   4    3   8  49   20  28  49    0.000    0.000       2
+  0   2633 00:45:00.64   1.0800A   1.6719   0.8905   1.3991  0.061  0.00   0.000E+00      0.  0.408E+00  0.801E-01  0.138E-02  0.913E-04   35  38  79   11  30  49   20  19  49    0.000    0.000       2
+  0   2688 00:46:00.27   1.1000A   1.6642  -0.8647   1.3551  0.063  0.00   0.000E+00      0.  0.412E+00  0.845E-01  0.140E-02  0.851E-04   26  39  78   12  10  49   20  25  49    0.000    0.000       2
+  0   2744 00:47:00.55   1.0800A   1.6705   0.8921   1.4399  0.066  0.00   0.000E+00      0.  0.414E+00  0.873E-01  0.145E-02  0.862E-04   20  38  63    5  30  49   20  14  49    0.000    0.000       2
+  0   2801 00:48:01.04   1.0400A   1.7238  -0.8200   1.3615  0.065  0.00   0.000E+00      0.  0.418E+00  0.928E-01  0.152E-02  0.784E-04   15  38  71   13  10  49   23  17  49    0.000    0.000       2
+  0   2861 00:49:00.82   0.9910A   1.8154   0.9723   1.2807  0.069  0.00   0.000E+00      0.  0.423E+00  0.940E-01  0.148E-02  0.714E-04   32  37  32    1  33  49   20  12  49    0.000    0.000       2
+  0   2922 00:50:00.47   0.9920A   1.8152   0.9323   1.3709  0.066  0.00   0.000E+00      0.  0.422E+00  0.944E-01  0.155E-02  0.783E-04   24  36  75    1  33  49   20  26  49    0.000    0.000       2
+  0   2983 00:51:00.64   0.9800A   1.8374   1.2336   1.3347  0.069  0.00   0.000E+00      0.  0.427E+00  0.983E-01  0.154E-02  0.763E-04   32  36   0    3  33  49   20  15  49    0.000    0.000       2
+  0   3045 00:52:00.44   0.9900A   1.8613  -0.9891   1.0839  0.071  0.00   0.000E+00      0.  0.425E+00  0.962E-01  0.156E-02  0.706E-04   22  34  78    2   9  49   20  11  49    0.000    0.000       2
+  0   3105 00:53:00.36   0.9920A   1.8139   1.0359   1.3545  0.069  0.00   0.000E+00      0.  0.427E+00  0.972E-01  0.155E-02  0.709E-04    9   3  78    8  20  49   20  14  49    0.000    0.000       2
+  0   3164 00:54:00.91   1.0300A   1.7397   1.0663   1.1538  0.068  0.00   0.000E+00      0.  0.421E+00  0.952E-01  0.161E-02  0.808E-04   27  39  69    1  33  49   20  12  49    0.000    0.000       2
+  0   3224 00:55:00.40   0.9920A   1.8138   1.0572   1.3621  0.066  0.00   0.000E+00      0.  0.422E+00  0.957E-01  0.167E-02  0.998E-04   28  35  17    1  32  49   20  26  49    0.000    0.000       2
+  0   3286 00:56:00.21   0.9620A   1.8708   1.0110   1.5068  0.069  0.00   0.000E+00      0.  0.432E+00  0.993E-01  0.148E-02  0.815E-04   29  36  10    2  32  49   20  28  49    0.000    0.000       2
+  0   3348 00:57:00.75   0.9670A   1.8615   1.0079   1.4848  0.066  0.00   0.000E+00      0.  0.428E+00  0.966E-01  0.153E-02  0.849E-04   18  37  73    1  33  49   20  11  49    0.000    0.000       2
+  0   3410 00:58:00.53   0.9490A   1.8961   0.9847   1.4226  0.064  0.00   0.000E+00      0.  0.434E+00  0.102E+00  0.158E-02  0.753E-04   22  36  17    2  32  49   20  26  49    0.000    0.000       2
+  0   3474 00:59:00.79   0.8600A   2.0927  -0.9503   1.3066  0.071  0.00   0.000E+00      0.  0.431E+00  0.102E+00  0.154E-02  0.762E-04   28   1   0    3   9  49   20  12  49    0.000    0.000       2
+  0   3540 01:00:00.18   0.9480A   1.8986   1.3707   1.1873  0.068  0.00   0.000E+00      0.  0.428E+00  0.985E-01  0.173E-02  0.739E-04   24  38  48   10  31  49   22  18  49    0.000    0.000       2