Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 4100)
+++ /palm/trunk/SOURCE/modules.f90	(revision 4101)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! remove old_dt
+! 
+! 4079 2019-07-09 18:04:41Z suehring
 ! + monotonic_limiter_z
 ! 
@@ -1492,5 +1495,4 @@
     REAL(wp) ::  multi_agent_system_end   = 9999999.9_wp       !< namelist parameter (see documentation)
     REAL(wp) ::  multi_agent_system_start = 0.0_wp             !< namelist parameter (see documentation)
-    REAL(wp) ::  old_dt = 1.0E-10_wp                           !< length of previous timestep
     REAL(wp) ::  omega = 7.29212E-5_wp                         !< namelist parameter
     REAL(wp) ::  omega_sor = 1.8_wp                            !< namelist parameter
Index: /palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4100)
+++ /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4101)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! remove old_dt
+! 
+! 4039 2019-06-18 10:32:41Z suehring
 ! input of uu_av, vv_av, ww_av added
 ! 
@@ -538,6 +541,4 @@
              CASE ( 'ocean_mode' )
                 READ ( 13 )  ocean_mode
-             CASE ( 'old_dt' )
-                READ ( 13 )  old_dt
              CASE ( 'omega' )
                 READ ( 13 )  omega
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 4100)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 4101)
@@ -25,4 +25,11 @@
 ! -----------------
 ! $Id$
+! - consider 2*Km within diffusion criterion as Km is considered twice within
+!   the diffusion of e,
+! - in RANS mode, instead of considering each wind component individually use
+!   the wind speed of 3d wind vector in CFL criterion
+! - do not limit the increase of dt based on its previous value in RANS mode
+!
+! 3658 2019-01-07 20:28:54Z knoop
 ! OpenACC port for SPEC
 ! 
@@ -146,5 +153,5 @@
     USE control_parameters,                                                    &
         ONLY:  cfl_factor, coupling_mode, dt_3d, dt_fixed, dt_max,             &
-               galilei_transformation, old_dt, message_string, rans_mode,      &
+               galilei_transformation, message_string, rans_mode,              &
                stop_dt, terminate_coupled, terminate_coupled_remote,           &
                timestep_reason, u_gtrans, use_ug_for_galilei_tr, v_gtrans
@@ -218,8 +225,4 @@
     !$ACC HOST(kh(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
     !$ACC HOST(km(nzb:nzt+1,nysg:nyng,nxlg:nxrg))
-
-!
-!--    Save former time step as reference
-       old_dt = dt_3d
 
 !
@@ -284,27 +287,59 @@
 !
 !--    Variable time step:
-!--    Calculate the maximum time step according to the CFL-criterion,
-!--    individually for each velocity component
+!--    Calculate the maximum time step according to the CFL-criterion
        dt_u_l = 999999.9_wp
        dt_v_l = 999999.9_wp
        dt_w_l = 999999.9_wp
-       !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-       !$ACC COPY(dt_u_l, dt_v_l, dt_w_l, u_stokes_zu, v_stokes_zu) &
-       !$ACC REDUCTION(MIN: dt_u_l, dt_v_l, dt_w_l) &
-       !$ACC PRESENT(u, v, w, dzu)
-       DO  i = nxl, nxr
-          DO  j = nys, nyn
-             DO  k = nzb+1, nzt
-                dt_u_l = MIN( dt_u_l, ( dx     /                               &
-                                 ( ABS( u(k,j,i) - u_gtrans + u_stokes_zu(k) ) &
-                                   + 1.0E-10_wp ) ) )
-                dt_v_l = MIN( dt_v_l, ( dy     /                               &
-                                 ( ABS( v(k,j,i) - v_gtrans + v_stokes_zu(k) ) &
-                                   + 1.0E-10_wp ) ) )
-                dt_w_l = MIN( dt_w_l, ( dzu(k) /                               &
-                                 ( ABS( w(k,j,i) )            + 1.0E-10_wp ) ) )
+
+       IF ( .NOT. rans_mode )  THEN
+!
+!--       Consider each velocity component individually
+
+          !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+          !$ACC COPY(dt_u_l, dt_v_l, dt_w_l, u_stokes_zu, v_stokes_zu) &
+          !$ACC REDUCTION(MIN: dt_u_l, dt_v_l, dt_w_l) &
+          !$ACC PRESENT(u, v, w, dzu)
+          DO  i = nxl, nxr
+             DO  j = nys, nyn
+                DO  k = nzb+1, nzt
+                   dt_u_l = MIN( dt_u_l, ( dx     /                               &
+                                    ( ABS( u(k,j,i) - u_gtrans + u_stokes_zu(k) ) &
+                                      + 1.0E-10_wp ) ) )
+                   dt_v_l = MIN( dt_v_l, ( dy     /                               &
+                                    ( ABS( v(k,j,i) - v_gtrans + v_stokes_zu(k) ) &
+                                      + 1.0E-10_wp ) ) )
+                   dt_w_l = MIN( dt_w_l, ( dzu(k) /                               &
+                                    ( ABS( w(k,j,i) )            + 1.0E-10_wp ) ) )
+                ENDDO
              ENDDO
           ENDDO
-       ENDDO
+
+       ELSE
+!
+!--       Consider the wind speed at the scalar-grid point
+!--       !> @note considering the wind speed instead of each individual wind
+!--       !>       component is only a workaround so far. This might has to be
+!--       !>       changed in the future.
+
+          !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+          !$ACC COPY(dt_u_l, u_stokes_zu, v_stokes_zu) &
+          !$ACC REDUCTION(MIN: dt_u_l) &
+          !$ACC PRESENT(u, v, w, dzu)
+          DO  i = nxl, nxr
+             DO  j = nys, nyn
+                DO  k = nzb+1, nzt
+                   dt_u_l = MIN( dt_u_l, ( MIN( dx, dy, dzu(k) ) / ( &
+                      SQRT(  ( 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - u_gtrans + u_stokes_zu(k) )**2   &
+                           + ( 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - v_gtrans + v_stokes_zu(k) )**2   &
+                           + ( 0.5 * ( w(k,j,i) + w(k-1,j,i) )                             )**2 ) &
+                      + 1.0E-10_wp ) ) )
+                ENDDO
+             ENDDO
+          ENDDO
+          
+          dt_v_l = dt_u_l
+          dt_w_l = dt_u_l
+
+       ENDIF
 
 #if defined( __parallel )
@@ -342,6 +377,7 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                dt_diff_l = MIN( dt_diff_l, dxyz2_min(k) /                     &
-                                    ( MAX( kh(k,j,i), ABS( km(k,j,i) ) )       &
+                dt_diff_l = MIN( dt_diff_l,                                       &
+                                 dxyz2_min(k) /                                   &
+                                    ( MAX( kh(k,j,i), 2.0_wp * ABS( km(k,j,i) ) ) &
                                       + 1E-20_wp ) )
              ENDDO
@@ -363,7 +399,4 @@
        dt_3d = cfl_factor * MIN( dt_diff, dt_u, dt_v, dt_w, dt_precipitation )
        dt_3d = MIN( dt_3d, dt_max )
-!
-!--    In RANS mode, the time step must not increase by more than a factor of 2
-       IF ( rans_mode )  dt_3d = MIN( dt_3d, dt_max, 2.0_wp * old_dt )
 
 !
@@ -390,5 +423,4 @@
           WRITE( message_string, * ) 'Time step has reached minimum limit.',   &
                '&dt              = ', dt_3d, ' s  Simulation is terminated.',  &
-               '&old_dt          = ', old_dt, ' s',                            &
                '&dt_u            = ', dt_u, ' s',                              &
                '&dt_v            = ', dt_v, ' s',                              &
Index: /palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 4100)
+++ /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 4101)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! remove old_dt
+! 
+! 3802 2019-03-17 13:33:42Z raasch
 ! unused subroutines commented out
 ! 
@@ -3943,5 +3946,5 @@
 #if defined( __parallel )
          USE control_parameters,                                                    &
-             ONLY:  coupling_mode, dt_3d, old_dt
+             ONLY:  coupling_mode, dt_3d
       
          USE interfaces
@@ -3977,10 +3980,4 @@
 !-- Identical timestep for coarse and fine grids
           dt_3d = MIN( dtc, dtf )
-          !> @fixme setting old_dt might be obsolete at this point
-          !>   Due to changes in timestep routine, setting of old_dt might be
-          !>   not necessary any more at this point. However, could not be
-          !>   tested so far.
-          !>   2018-05-18, gronemeier
-          old_dt = dt_3d
 #endif
        END SUBROUTINE vnest_timestep_sync
Index: /palm/trunk/SOURCE/write_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4100)
+++ /palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4101)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! remove old_dt
+! 
+! 4039 2019-06-18 10:32:41Z suehring
 ! Modularize diagnostic output
 ! 
@@ -502,7 +505,4 @@
        WRITE ( 14 )  ocean_mode
 
-       CALL wrd_write_string( 'old_dt' ) 
-       WRITE ( 14 )  old_dt
-
        CALL wrd_write_string( 'omega' ) 
        WRITE ( 14 )  omega
Index: /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc
===================================================================
--- /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 4100)
+++ /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 4101)
@@ -11,10 +11,10 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 3527:35     *    atmosphere - run with 1D - prerun
+ * PALM 6.0  Rev: 4100M       *    atmosphere - run with 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2018-11-20    Run:       rans_tkee__intel_default__4       
- Time:                 16:32:26    Run-No.:   00
- Run on host:        intel_defa
+ Date:               2019-07-17    Run:       rans_tkee__gfortran_default__4    
+ Time:                 16:59:43    Run-No.:   00
+ Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
@@ -209,5 +209,5 @@
 
 
- *** no user-defined variables found
+ *** dynamic module disabled
 
  ------------------------------------------------------------------------------
@@ -220,29 +220,40 @@
 RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00   0.0200A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
-  0      1 00:00:00.02   0.0400A   3.3802   1.7430  -1.2281  0.153  0.00  -0.390E-02     10.  0.444E+01  0.460E-02  0.155E-03  0.701E-04   19   7  19    2  14  13    2  26  29    0.000    0.000       2
-  0      2 00:00:00.06   0.0800A   3.3832   1.7620  -1.3655  0.151  0.20  -0.421E-02     10.  0.444E+01  0.493E-02  0.874E-04  0.359E-04   19   6  21    2  14  13    2  26  29    0.000    0.000       2
-  0      3 00:00:00.14   0.1600A   3.3844   1.7515   1.3704  0.150  0.00  -0.428E-02      0.  0.444E+01  0.496E-02  0.977E-04  0.323E-04   19   5  22    2  14  13    2  13   1    0.000    0.000       2
-  0      4 00:00:00.30   0.3200A   3.3845   1.7361   1.3742  0.150  0.00  -0.429E-02      0.  0.444E+01  0.456E-02  0.521E-04  0.687E-05   19   5  24    2  14  13    2  13   1    0.000    0.000       2
-  0      5 00:00:00.62   0.6400A   3.3838   1.7102   1.3740  0.149  0.00  -0.432E-02      0.  0.444E+01  0.437E-02  0.385E-04  0.278E-04   19   4  26    2  14  13    2  13   1    0.000    0.000       2
-  0      6 00:00:01.26   1.2800A   3.3833   1.6639   1.3659  0.148  0.00  -0.437E-02      0.  0.444E+01  0.430E-02  0.704E-04  0.332E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
-  0      7 00:00:02.54   2.5600A   3.3827   1.5852   1.3337  0.147  0.39  -0.449E-02     30.  0.444E+01  0.420E-02  0.618E-04  0.165E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
-  0      8 00:00:05.09   2.6600A   3.3826   1.4669   1.2462  0.145  0.00  -0.484E-02     20.  0.444E+01  0.421E-02  0.144E-03  0.499E-04   20   3  31    2  14  13    2  13   1    0.000    0.000       2
-  0      9 00:00:07.75   2.6200D   3.3825   1.4246   1.2019  0.142  0.00  -0.540E-02      0.  0.444E+01  0.399E-02  0.137E-03  0.424E-04   20   3   0    2  17   0    2  13   1    0.000    0.000       2
-  0     10 00:00:10.37   2.6600A   3.3822   1.4068   1.2181  0.140  0.00  -0.536E-02      0.  0.444E+01  0.380E-02  0.971E-04  0.324E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     11 00:00:13.03   2.6600A   3.3818   1.3947   1.2421  0.138  0.00  -0.554E-02      0.  0.444E+01  0.372E-02  0.913E-04  0.361E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     12 00:00:15.69   2.6600A   3.3818   1.3891   1.2528  0.137  0.00  -0.573E-02      0.  0.444E+01  0.366E-02  0.869E-04  0.301E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
-  0     13 00:00:18.35   2.6600A   3.3820   1.3872   1.2552  0.135  0.00  -0.581E-02      0.  0.444E+01  0.362E-02  0.866E-04  0.283E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
-  0     14 00:00:21.01   2.6600A   3.3822   1.3883   1.2530  0.134  0.00  -0.617E-02      0.  0.444E+01  0.357E-02  0.864E-04  0.278E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
-  0     15 00:00:23.67   2.6600A   3.3824   1.3916   1.2483  0.133  0.00  -0.643E-02      0.  0.444E+01  0.352E-02  0.802E-04  0.251E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
-  0     16 00:00:26.33   2.6600A   3.3825   1.3968   1.2433  0.132  0.00  -0.634E-02      0.  0.444E+01  0.348E-02  0.758E-04  0.252E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     17 00:00:29.00   2.6600A   3.3827   1.4033   1.2388  0.131  0.00  -0.649E-02      0.  0.444E+01  0.345E-02  0.737E-04  0.244E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     18 00:00:31.66   2.6600A   3.3829   1.4106   1.2353  0.130  0.00  -0.651E-02      0.  0.444E+01  0.342E-02  0.723E-04  0.234E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     19 00:00:34.32   2.6600A   3.3831   1.4182   1.2329  0.129  0.00  -0.661E-02      0.  0.444E+01  0.339E-02  0.713E-04  0.230E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     20 00:00:36.98   2.6600A   3.3833   1.4254   1.2314  0.128  0.00  -0.648E-02      0.  0.444E+01  0.336E-02  0.697E-04  0.226E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
-  0     21 00:00:39.64   2.6600D   3.3835   1.4320   1.2306  0.128  0.00  -0.649E-02      0.  0.444E+01  0.333E-02  0.680E-04  0.224E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
-  0     22 00:00:42.29   2.5300D   3.3837   1.4377   1.2303  0.127  0.00  -0.659E-02      0.  0.444E+01  0.331E-02  0.667E-04  0.221E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     23 00:00:44.82   2.4200D   3.3839   1.4475   1.2348  0.126  0.00  -0.665E-02      0.  0.444E+01  0.329E-02  0.633E-04  0.210E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     24 00:00:47.25   2.3200D   3.3840   1.4563   1.2402  0.126  0.00  -0.662E-02      0.  0.444E+01  0.327E-02  0.603E-04  0.200E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     25 00:00:49.57   2.2400D   3.3842   1.4642   1.2457  0.126  0.00  -0.657E-02      0.  0.444E+01  0.326E-02  0.576E-04  0.190E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     26 00:00:51.81   2.1600D   3.3844   1.4711   1.2506  0.125  0.00  -0.652E-02      0.  0.444E+01  0.324E-02  0.553E-04  0.183E-04   19   8  25    2  17   0    1  12   2    0.000    0.000       2
+  0      0 00:00:00.00   2.6700A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
+  0      1 00:00:02.67   2.6600A   3.3803   1.5756   1.1290  0.151  0.00  -0.406E-02     10.  0.444E+01  0.437E-02  0.202E-03  0.798E-04   19   7  19    2  14  13    2  13   1    0.000    0.000       2
+  0      2 00:00:05.33   0.2370D   3.3829   1.4756   1.2399  0.147  0.00  -0.468E-02     10.  0.444E+01  0.432E-02  0.137E-03  0.457E-04   19   6  21    2  14  13    2  13   1    0.000    0.000       2
+  0      3 00:00:05.56   0.5360D   3.3841   1.5585   1.3626  0.145  0.00  -0.487E-02      0.  0.444E+01  0.422E-02  0.512E-04  0.118E-04   19   6  22    2  17   0    2  13   1    0.000    0.000       2
+  0      4 00:00:06.10   0.7840D   3.3844   1.5478   1.3603  0.145  0.00  -0.497E-02      0.  0.444E+01  0.408E-02  0.412E-04  0.145E-04   19   5  23    2  17   0    2  13   1    0.000    0.000       2
+  0      5 00:00:06.88   1.0200D   3.3843   1.5248   1.3393  0.144  0.00  -0.510E-02      0.  0.444E+01  0.401E-02  0.459E-04  0.160E-04   19   5  25    2  17   0    2  13   1    0.000    0.000       2
+  0      6 00:00:07.90   1.2500D   3.3842   1.5006   1.3115  0.143  0.00  -0.528E-02      0.  0.444E+01  0.397E-02  0.521E-04  0.121E-04   19   3  27    2  17   0    2  13   1    0.000    0.000       2
+  0      7 00:00:09.15   1.2700D   3.3842   1.4774   1.2804  0.141  0.00  -0.554E-02      0.  0.444E+01  0.393E-02  0.643E-04  0.175E-04   19   0   0    2  17   0    2  13   1    0.000    0.000       2
+  0      8 00:00:10.42   1.3200D   3.3840   1.4655   1.2613  0.140  0.00  -0.558E-02      0.  0.444E+01  0.387E-02  0.621E-04  0.164E-04   19   2   0    2  17   0    2  13   1    0.000    0.000       2
+  0      9 00:00:11.74   1.4300D   3.3835   1.4555   1.2678  0.139  0.00  -0.563E-02      0.  0.444E+01  0.380E-02  0.562E-04  0.155E-04   19   1   0    2  17   0    1  12   2    0.000    0.000       2
+  0     10 00:00:13.17   1.5700D   3.3829   1.4445   1.2852  0.138  0.00  -0.566E-02      0.  0.444E+01  0.376E-02  0.568E-04  0.170E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     11 00:00:14.74   1.7600D   3.3824   1.4336   1.2960  0.137  0.00  -0.573E-02      0.  0.444E+01  0.371E-02  0.587E-04  0.172E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     12 00:00:16.50   2.0100D   3.3820   1.4223   1.2996  0.136  0.00  -0.590E-02      0.  0.444E+01  0.367E-02  0.625E-04  0.183E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     13 00:00:18.51   1.9500D   3.3816   1.4105   1.2953  0.135  0.00  -0.602E-02      0.  0.444E+01  0.362E-02  0.674E-04  0.202E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     14 00:00:20.46   1.8700D   3.3814   1.4124   1.2963  0.134  0.00  -0.644E-02      0.  0.444E+01  0.359E-02  0.635E-04  0.194E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     15 00:00:22.33   1.8000D   3.3814   1.4174   1.2972  0.133  0.00  -0.626E-02      0.  0.444E+01  0.356E-02  0.594E-04  0.185E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     16 00:00:24.13   1.7400D   3.3814   1.4235   1.2974  0.133  0.00  -0.622E-02      0.  0.444E+01  0.353E-02  0.562E-04  0.174E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     17 00:00:25.87   1.6900D   3.3815   1.4301   1.2973  0.132  0.00  -0.630E-02      0.  0.444E+01  0.351E-02  0.536E-04  0.165E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     18 00:00:27.56   1.6400D   3.3815   1.4371   1.2970  0.131  0.00  -0.639E-02      0.  0.444E+01  0.349E-02  0.513E-04  0.159E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     19 00:00:29.20   1.6000D   3.3815   1.4448   1.2972  0.131  0.00  -0.659E-02      0.  0.444E+01  0.347E-02  0.491E-04  0.152E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     20 00:00:30.80   1.5500D   3.3816   1.4526   1.2975  0.130  0.00  -0.661E-02      0.  0.444E+01  0.345E-02  0.471E-04  0.147E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     21 00:00:32.35   1.4700D   3.3816   1.4611   1.2985  0.129  0.00  -0.654E-02      0.  0.444E+01  0.343E-02  0.451E-04  0.141E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     22 00:00:33.82   1.4000D   3.3817   1.4711   1.3011  0.129  0.00  -0.649E-02      0.  0.444E+01  0.342E-02  0.426E-04  0.134E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     23 00:00:35.22   1.3400D   3.3817   1.4808   1.3040  0.129  0.00  -0.646E-02      0.  0.444E+01  0.341E-02  0.403E-04  0.126E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     24 00:00:36.56   1.2800D   3.3818   1.4899   1.3070  0.128  0.00  -0.645E-02      0.  0.444E+01  0.340E-02  0.383E-04  0.120E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     25 00:00:37.84   1.2400D   3.3818   1.4988   1.3101  0.128  0.00  -0.647E-02      0.  0.444E+01  0.339E-02  0.363E-04  0.115E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     26 00:00:39.08   1.1900D   3.3819   1.5066   1.3128  0.127  0.00  -0.650E-02      0.  0.444E+01  0.338E-02  0.349E-04  0.110E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     27 00:00:40.27   1.1500D   3.3819   1.5146   1.3157  0.127  0.00  -0.654E-02      0.  0.444E+01  0.337E-02  0.333E-04  0.106E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     28 00:00:41.42   1.1100D   3.3820   1.5219   1.3184  0.127  0.00  -0.659E-02      0.  0.444E+01  0.336E-02  0.319E-04  0.102E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     29 00:00:42.53   1.0800D   3.3820   1.5289   1.3211  0.127  0.00  -0.663E-02      0.  0.444E+01  0.335E-02  0.306E-04  0.979E-05   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     30 00:00:43.61   1.0500D   3.3821   1.5352   1.3234  0.126  0.00  -0.667E-02      0.  0.444E+01  0.334E-02  0.296E-04  0.949E-05   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     31 00:00:44.66   1.0200D   3.3822   1.5412   1.3257  0.126  0.00  -0.667E-02      0.  0.444E+01  0.334E-02  0.286E-04  0.921E-05   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     32 00:00:45.68   0.9930D   3.3822   1.5470   1.3278  0.126  0.00  -0.664E-02      0.  0.444E+01  0.333E-02  0.276E-04  0.893E-05   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     33 00:00:46.68   0.9680D   3.3823   1.5525   1.3299  0.126  0.00  -0.661E-02      0.  0.444E+01  0.332E-02  0.267E-04  0.868E-05   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     34 00:00:47.64   0.9450D   3.3823   1.5576   1.3318  0.126  0.00  -0.659E-02      0.  0.444E+01  0.332E-02  0.259E-04  0.844E-05   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     35 00:00:48.59   0.9240D   3.3824   1.5625   1.3335  0.125  0.00  -0.657E-02      0.  0.444E+01  0.331E-02  0.252E-04  0.823E-05   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     36 00:00:49.51   0.9040D   3.3825   1.5670   1.3351  0.125  0.00  -0.655E-02      0.  0.444E+01  0.331E-02  0.245E-04  0.803E-05   19   9  24    2  17   0    1  12   2    0.000    0.000       2
+  0     37 00:00:50.42   0.8850D   3.3826   1.5714   1.3366  0.125  0.00  -0.654E-02      0.  0.444E+01  0.330E-02  0.239E-04  0.785E-05   19   9  24    2  17   0    1  12   2    0.000    0.000       2