Index: /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc
===================================================================
--- /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 4102)
+++ /palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 4103)
@@ -11,9 +11,9 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 3915M       *    atmosphere - run with 1D - prerun
+ * PALM 6.0  Rev: 4102M       *    atmosphere - run with 1D - prerun
  ******************************    --------------------------------------------
 
  Date:               2019-07-17    Run:       rans_tkee__gfortran_default__4    
- Time:                 17:23:23    Run-No.:   00
+ Time:                 18:21:01    Run-No.:   00
  Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
@@ -220,28 +220,30 @@
 RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00   0.0200A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
-  0      1 00:00:00.02   0.0400A   3.3802   1.7430  -1.2281  0.153  0.00  -0.390E-02     10.  0.444E+01  0.460E-02  0.155E-03  0.701E-04   19   7  19    2  14  13    2  26  29    0.000    0.000       2
-  0      2 00:00:00.06   0.0800A   3.3832   1.7620  -1.3655  0.151  0.20  -0.421E-02     10.  0.444E+01  0.493E-02  0.874E-04  0.359E-04   19   6  21    2  14  13    2  26  29    0.000    0.000       2
-  0      3 00:00:00.14   0.1600A   3.3844   1.7515   1.3704  0.150  0.00  -0.428E-02      0.  0.444E+01  0.496E-02  0.977E-04  0.323E-04   19   5  22    2  14  13    2  13   1    0.000    0.000       2
-  0      4 00:00:00.30   0.3200A   3.3845   1.7361   1.3743  0.150  0.00  -0.429E-02      0.  0.444E+01  0.456E-02  0.521E-04  0.687E-05   19   5  24    2  14  13    2  13   1    0.000    0.000       2
-  0      5 00:00:00.62   0.6400A   3.3838   1.7102   1.3741  0.149  0.00  -0.432E-02      0.  0.444E+01  0.437E-02  0.385E-04  0.278E-04   19   4  26    2  14  13    2  13   1    0.000    0.000       2
-  0      6 00:00:01.26   1.2800A   3.3833   1.6639   1.3660  0.148  0.00  -0.437E-02      0.  0.444E+01  0.430E-02  0.704E-04  0.332E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
-  0      7 00:00:02.54   2.5600A   3.3827   1.5852   1.3342  0.147  0.39  -0.449E-02     30.  0.444E+01  0.420E-02  0.618E-04  0.165E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
-  0      8 00:00:05.09   2.6600A   3.3826   1.4669   1.2489  0.145  0.00  -0.484E-02     20.  0.444E+01  0.421E-02  0.144E-03  0.499E-04   20   3  31    2  14  13    2  13   1    0.000    0.000       2
-  0      9 00:00:07.75   2.6200D   3.3825   1.4248   1.2091  0.142  0.00  -0.540E-02      0.  0.444E+01  0.399E-02  0.137E-03  0.424E-04   20   3   0    2  17   0    2  13   1    0.000    0.000       2
-  0     10 00:00:10.37   2.6600A   3.3822   1.4058   1.2176  0.140  0.00  -0.536E-02      0.  0.444E+01  0.380E-02  0.971E-04  0.324E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     11 00:00:13.03   2.6600A   3.3818   1.3920   1.2409  0.138  0.00  -0.554E-02      0.  0.444E+01  0.372E-02  0.912E-04  0.361E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     12 00:00:15.69   2.6600A   3.3818   1.3841   1.2506  0.137  0.00  -0.573E-02      0.  0.444E+01  0.366E-02  0.867E-04  0.300E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
-  0     13 00:00:18.35   2.6600A   3.3820   1.3790   1.2520  0.135  0.00  -0.581E-02      0.  0.444E+01  0.362E-02  0.864E-04  0.282E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
-  0     14 00:00:21.01   2.6600A   3.3822   1.3757   1.2484  0.134  0.00  -0.617E-02      0.  0.444E+01  0.358E-02  0.862E-04  0.277E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
-  0     15 00:00:23.67   2.6600A   3.3824   1.3733   1.2423  0.133  0.00  -0.644E-02      0.  0.444E+01  0.353E-02  0.800E-04  0.249E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
-  0     16 00:00:26.33   2.6600A   3.3825   1.3716   1.2356  0.132  0.00  -0.633E-02      0.  0.444E+01  0.348E-02  0.755E-04  0.250E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     17 00:00:29.00   2.6600A   3.3827   1.3703   1.2296  0.131  0.00  -0.648E-02      0.  0.444E+01  0.345E-02  0.734E-04  0.242E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     18 00:00:31.66   2.6600A   3.3829   1.3692   1.2245  0.130  0.00  -0.650E-02      0.  0.444E+01  0.342E-02  0.719E-04  0.232E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
-  0     19 00:00:34.32   2.6600A   3.3830   1.3683   1.2206  0.129  0.00  -0.661E-02      0.  0.444E+01  0.339E-02  0.709E-04  0.228E-04   19   7  24    2  17   0    1  12   2    0.000    0.000       2
-  0     20 00:00:36.98   2.6600A   3.3832   1.3675   1.2176  0.128  0.00  -0.648E-02      0.  0.444E+01  0.336E-02  0.692E-04  0.224E-04   19   7  24    2  17   0    1  12   2    0.000    0.000       2
-  0     21 00:00:39.64   2.6600A   3.3834   1.3668   1.2153  0.128  0.00  -0.649E-02      0.  0.444E+01  0.334E-02  0.674E-04  0.221E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     22 00:00:42.29   2.6600A   3.3836   1.3662   1.2136  0.127  0.00  -0.658E-02      0.  0.444E+01  0.331E-02  0.661E-04  0.218E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     23 00:00:44.95   2.6600A   3.3837   1.3657   1.2122  0.127  0.00  -0.664E-02      0.  0.444E+01  0.329E-02  0.651E-04  0.215E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     24 00:00:47.61   2.6600A   3.3839   1.3652   1.2111  0.126  0.00  -0.661E-02      0.  0.444E+01  0.327E-02  0.642E-04  0.212E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
-  0     25 00:00:50.27   2.6600A   3.3841   1.3647   1.2101  0.126  0.00  -0.654E-02      0.  0.444E+01  0.325E-02  0.634E-04  0.210E-04   19   8  25    2  17   0    1  12   2    0.000    0.000       2
+  0      0 00:00:00.00   2.6700A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
+  0      1 00:00:02.67   2.6600A   3.3803   1.5756   1.1292  0.151  0.00  -0.406E-02     10.  0.444E+01  0.437E-02  0.202E-03  0.798E-04   19   7  19    2  14  13    2  13   1    0.000    0.000       2
+  0      2 00:00:05.33   0.2370D   3.3829   1.4756   1.2412  0.147  0.00  -0.468E-02     10.  0.444E+01  0.432E-02  0.137E-03  0.457E-04   19   6  21    2  14  13    2  13   1    0.000    0.000       2
+  0      3 00:00:05.56   0.5360D   3.3841   1.5597   1.3639  0.145  0.00  -0.487E-02      0.  0.444E+01  0.422E-02  0.512E-04  0.118E-04   19   6  22    2  17   0    2  13   1    0.000    0.000       2
+  0      4 00:00:06.10   0.7840D   3.3844   1.5492   1.3622  0.145  0.00  -0.497E-02      0.  0.444E+01  0.408E-02  0.412E-04  0.145E-04   19   5  23    2  17   0    2  13   1    0.000    0.000       2
+  0      5 00:00:06.88   1.0200D   3.3843   1.5263   1.3422  0.144  0.00  -0.510E-02      0.  0.444E+01  0.401E-02  0.459E-04  0.160E-04   19   5  25    2  17   0    2  13   1    0.000    0.000       2
+  0      6 00:00:07.90   1.2500D   3.3842   1.5019   1.3159  0.143  0.00  -0.528E-02      0.  0.444E+01  0.397E-02  0.521E-04  0.121E-04   19   3  27    2  17   0    2  13   1    0.000    0.000       2
+  0      7 00:00:09.15   1.2700D   3.3842   1.4782   1.2869  0.141  0.00  -0.554E-02      0.  0.444E+01  0.393E-02  0.643E-04  0.175E-04   19   0   0    2  17   0    2  13   1    0.000    0.000       2
+  0      8 00:00:10.42   1.3200D   3.3840   1.4657   1.2702  0.140  0.00  -0.558E-02      0.  0.444E+01  0.387E-02  0.621E-04  0.163E-04   19   2   0    2  17   0    2  13   1    0.000    0.000       2
+  0      9 00:00:11.74   1.4300D   3.3835   1.4548   1.2674  0.139  0.00  -0.563E-02      0.  0.444E+01  0.380E-02  0.561E-04  0.155E-04   19   1   0    2  17   0    1  12   2    0.000    0.000       2
+  0     10 00:00:13.17   1.5700D   3.3829   1.4428   1.2843  0.138  0.00  -0.566E-02      0.  0.444E+01  0.376E-02  0.567E-04  0.170E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     11 00:00:14.74   1.7500D   3.3824   1.4305   1.2946  0.137  0.00  -0.573E-02      0.  0.444E+01  0.371E-02  0.586E-04  0.172E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     12 00:00:16.49   2.0100D   3.3820   1.4178   1.2979  0.136  0.00  -0.590E-02      0.  0.444E+01  0.367E-02  0.621E-04  0.182E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     13 00:00:18.50   2.2400D   3.3816   1.4031   1.2924  0.135  0.00  -0.602E-02      0.  0.444E+01  0.362E-02  0.673E-04  0.202E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     14 00:00:20.74   2.3200D   3.3814   1.3906   1.2814  0.134  0.00  -0.646E-02      0.  0.444E+01  0.358E-02  0.702E-04  0.216E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     15 00:00:23.06   2.3300D   3.3815   1.3849   1.2710  0.133  0.00  -0.625E-02      0.  0.444E+01  0.354E-02  0.697E-04  0.221E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     16 00:00:25.39   2.3200D   3.3816   1.3828   1.2623  0.132  0.00  -0.627E-02      0.  0.444E+01  0.350E-02  0.681E-04  0.217E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     17 00:00:27.71   2.3000D   3.3817   1.3820   1.2552  0.131  0.00  -0.638E-02      0.  0.444E+01  0.347E-02  0.663E-04  0.211E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     18 00:00:30.01   2.2900D   3.3818   1.3818   1.2496  0.130  0.00  -0.655E-02      0.  0.444E+01  0.344E-02  0.644E-04  0.205E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     19 00:00:32.30   2.2900D   3.3820   1.3815   1.2451  0.130  0.00  -0.652E-02      0.  0.444E+01  0.342E-02  0.627E-04  0.201E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     20 00:00:34.59   2.2900D   3.3821   1.3808   1.2413  0.129  0.00  -0.647E-02      0.  0.444E+01  0.339E-02  0.613E-04  0.198E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     21 00:00:36.88   2.3000D   3.3823   1.3802   1.2384  0.128  0.00  -0.646E-02      0.  0.444E+01  0.337E-02  0.601E-04  0.195E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     22 00:00:39.18   2.3100D   3.3825   1.3792   1.2359  0.128  0.00  -0.650E-02      0.  0.444E+01  0.335E-02  0.592E-04  0.193E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     23 00:00:41.49   2.3100D   3.3826   1.3783   1.2338  0.127  0.00  -0.658E-02      0.  0.444E+01  0.333E-02  0.585E-04  0.191E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     24 00:00:43.80   2.3200D   3.3828   1.3778   1.2324  0.127  0.00  -0.665E-02      0.  0.444E+01  0.331E-02  0.576E-04  0.189E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     25 00:00:46.12   2.3200D   3.3830   1.3770   1.2310  0.126  0.00  -0.659E-02      0.  0.444E+01  0.329E-02  0.570E-04  0.188E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     26 00:00:48.44   2.3300D   3.3831   1.3766   1.2300  0.126  0.00  -0.653E-02      0.  0.444E+01  0.327E-02  0.563E-04  0.187E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     27 00:00:50.77   2.3300D   3.3833   1.3759   1.2289  0.125  0.00  -0.649E-02      0.  0.444E+01  0.326E-02  0.558E-04  0.186E-04   19   9  24    2  17   0    1  12   2    0.000    0.000       2