Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4109)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4110)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! - Separate initialization of advection flags for momentum and scalars. In this
 !   context, resort the bits and do some minor formatting. 
@@ -38,7 +43,5 @@
 !   advection
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 4109 2019-07-22 17:00:34Z suehring
 ! Implementation of a flux limiter according to Skamarock (2006) for the 
 ! vertical scalar advection. Please note, this is only implemented for the 
@@ -122,5 +125,5 @@
 ! Change in file header (GPL part)
 ! Implement advection for TKE-dissipation in case of RANS-TKE-e closure (TG)
-! Allocate advc_flags_m/2 within ws_init_flags instead of init_grid
+! Allocate advc_flags_1/2 within ws_init_flags instead of init_grid
 ! Change argument list for exchange_horiz_2d_int (MS)
 ! 
@@ -136,8 +139,8 @@
 ! 
 ! 2232 2017-05-30 17:47:52Z suehring
-! Rename wall_flags_0 and wall_flags_00 into advc_flags_m and advc_flags_m, 
+! Rename wall_flags_0 and wall_flags_00 into advc_flags_m and advc_flags_1, 
 ! respectively.
-! Set advc_flags_m/2 on basis of wall_flags_0/00 instead of nzb_s/u/v/w_inner.
-! Setting advc_flags_m/2 also for downward-facing walls
+! Set advc_flags_1/2 on basis of wall_flags_0/00 instead of nzb_s/u/v/w_inner.
+! Setting advc_flags_1/2 also for downward-facing walls
 ! 
 ! 2200 2017-04-11 11:37:51Z suehring
@@ -262,5 +265,5 @@
 ! vector version.
 ! Degradation of the applied order of scheme is now steered by multiplying with
-! Integer advc_flags_m. 2nd order scheme, WS3 and WS5 are calculated on each
+! Integer advc_flags_1. 2nd order scheme, WS3 and WS5 are calculated on each
 ! grid point and mulitplied with the appropriate flag.
 ! 2nd order numerical dissipation term changed. Now the appropriate 2nd order
Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4110)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Pass integer flag array as well as boundary flags to WS scalar advection 
-! routine
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Pass integer flag array as well as boundary flags to WS scalar advection 
+! routine
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! Added microphyics scheme 'morrision_no_rain'
 ! 
Index: palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- palm/trunk/SOURCE/chem_modules.f90	(revision 4109)
+++ palm/trunk/SOURCE/chem_modules.f90	(revision 4110)
@@ -22,9 +22,12 @@
 ! Current revisions:
 ! -----------------
-! +cs_advc_flags_s
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! +cs_advc_flags_s
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! - introduced namelist item chem_modules@emiss_lod as future
 ! - replacement to chem_modules@mode_emis.  Currently keeping both
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4110)
@@ -22,4 +22,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! - Decycling boundary conditions are only set at the ghost points not on the
 !   prognostic grid points 
@@ -33,7 +38,5 @@
 !   oscillations caused by horizontal advection discretization.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 4109 2019-07-22 17:00:34Z suehring
 ! Slightly revise setting of boundary conditions at horizontal walls, use 
 ! data-structure offset index instead of pre-calculate it for each facing
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 4109)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 4110)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! - Separate initialization of advection flags for momentum and scalars.
-! - Change subroutine interface for ws_init_flags_scalar to pass boundary flags
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! - Separate initialization of advection flags for momentum and scalars.
+! - Change subroutine interface for ws_init_flags_scalar to pass boundary flags
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! Fix bad commit
 ! 
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4110)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Relax checks for non-consistent initialization in case static or dynamic 
 ! input is provided. For example, soil_temperature or deep_soil_temperature
@@ -26,7 +31,5 @@
 ! available. 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 4109 2019-07-22 17:00:34Z suehring
 ! Further revision of last commit in order to avoid any side effects when 
 ! albedo type is not set in namelist and default albedo type changes. 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 4109)
+++ palm/trunk/SOURCE/modules.f90	(revision 4110)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! -advc_flags_1, advc_flags_2
-! +advc_flags_m, advc_flags_s
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! -advc_flags_1, advc_flags_2
+! +advc_flags_m, advc_flags_s
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! remove old_dt
 ! 
Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4110)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Pass integer flag array as well as boundary flags to WS scalar advection 
-! routine
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Pass integer flag array as well as boundary flags to WS scalar advection 
+! routine
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! implemented ocean_actions
 ! 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 4109)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 4110)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! pass integer flag array to WS scalar advection routine which is now necessary
 ! as the flags may differ for scalars, e.g. pt can be cyclic while chemical
 ! species may be non-cyclic. Further, pass boundary flags. 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 4109 2019-07-22 17:00:34Z suehring
 ! Application of monotonic flux limiter for the vertical scalar advection 
 ! up to the topography top (only for the cache-optimized version at the 
Index: palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- palm/trunk/SOURCE/salsa_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/salsa_mod.f90	(revision 4110)
@@ -21,10 +21,13 @@
 ! Current revisions:
 ! -----------------
-! Pass integer flag array as well as boundary flags to WS scalar advection 
-! routine
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Pass integer flag array as well as boundary flags to WS scalar advection 
+! routine
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! Slightly revise setting of boundary conditions at horizontal walls, use 
 ! data-structure offset index instead of pre-calculate it for each facing
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4109)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4110)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! pass integer flag array as well as boundary flags to WS scalar advection 
-! routine
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! pass integer flag array as well as boundary flags to WS scalar advection 
+! routine
+! 
+! 4109 2019-07-22 17:00:34Z suehring
 ! - Modularize setting of boundary conditions for TKE and dissipation
 ! - Neumann boundary condition for TKE at model top is set also in child domain